|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QAccessiblePlugin Class Reference

The QAccessiblePlugin class provides an abstract base for accessibility plugins. More...

    #include <QAccessiblePlugin>

Part of the QtGui module.

Inherits QObject and QAccessible.

- List of all members, including inherited members

### Public Functions

- QAccessiblePlugin ( QObject * parent = 0 )
- ~QAccessiblePlugin ()
- virtual QAccessibleInterface * create ( const QString & key, QObject * object ) = 0
- virtual QStringList keys () const = 0

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 8 static public members inherited from QAccessible
- 7 protected functions inherited from QObject

## Detailed Description

The QAccessiblePlugin class provides an abstract base for accessibility plugins.

Writing an accessibility plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN() macro.

See also QAccessibleBridgePlugin and How to Create Qt Plugins.

## Member Function Documentation

### QAccessiblePlugin::QAccessiblePlugin ( QObject * parent = 0 )

Constructs an accessibility plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN() macro.

### QAccessiblePlugin::~QAccessiblePlugin ()

Destroys the accessibility plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QAccessibleInterface * QAccessiblePlugin::create ( const QString & key, QObject * object ) `[pure virtual]`

Creates and returns a QAccessibleInterface implementation for the class key and the object object.

Reimplemented from QAccessibleFactoryInterface.

See also keys().

### QStringList QAccessiblePlugin::keys () const `[pure virtual]`

Returns the list of keys this plugin supports.

These keys must be the class names that this plugin provides an accessibility implementation for.

Reimplemented from QFactoryInterface.

See also create().